Skip to content
Back to top
View this page

# CopyTextButton

class telegram.CopyTextButton(text, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents an inline keyboard button that copies specified text to the clipboard.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `text` is equal.

  Available In

  `telegram.InlineKeyboardButton.copy_text`

  Added in version 21.7.

  Parameters:

    text (`str`) – The text to be copied to the clipboard; `1`- `256` characters

  text

    The text to be copied to the clipboard; `1`- `256` characters

    Type:

      `str`